package digiturno.Modelo;

import java.sql.CallableStatement;
import java.sql.Connection;
//import java.sql.PreparedStatement;
//import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;

public class dgModelo {
    
    Conexion conexion = new Conexion("User", "password");
    Connection cn;
    CallableStatement procedimiento;
    private String ultimoTurno, fecha;
    private static final String BDINTRANET = "Intranet";
    
    public String getUltimoTurno() {
        return ultimoTurno;
    }
    
    public String getFechaUltimoTurno() {
        return fecha;
    }
    
    public boolean RegistrarTurno(String tipoTurno, String tipoDoc, String doc, String nombrec, int prioridad, int cola, int sede ){
        boolean resultado;
        try {
            cn = conexion.Conectar();
            procedimiento = cn.prepareCall("{call "+BDINTRANET+".dbo.SP_RegistrarTurno(?,?,?,?,?,?,?,?,?)}");
            procedimiento.setString(1, tipoTurno);
            procedimiento.setString(2, tipoDoc);
            procedimiento.setString(3, doc);
            procedimiento.setString(4, nombrec);
            procedimiento.setInt(5, prioridad);
            procedimiento.setInt(6, cola);
            procedimiento.setInt(7, sede);
            procedimiento.setInt(8, 1);
            procedimiento.registerOutParameter(9, java.sql.Types.VARCHAR);
            if (cn!=null) {
                procedimiento.execute();
                ultimoTurno = procedimiento.getString(9);
            }
            cn.close();
            resultado = true;
        } catch (SQLException e) {
//            e.printStackTrace();
            resultado = false;
        }
        return resultado;
    }
    
    public String[] ConsultarTurno(final int cola, final int sede){
        ExecutorService ex = Executors.newSingleThreadExecutor();
        String[] resultado = null;
        ex.execute(new Runnable(){
            @Override
            public void run() {                
                try {
                    cn = conexion.Conectar();
                    procedimiento = cn.prepareCall("{call "+BDINTRANET+".dbo.SP_ConsultaUltimoTurno(?,?,?,?)}");
                    procedimiento.setInt(1, cola);
                    procedimiento.setInt(2, sede);
                    procedimiento.registerOutParameter(3, java.sql.Types.VARCHAR);
                    procedimiento.registerOutParameter(4, java.sql.Types.VARCHAR);            
                    if (cn!=null) {
                        procedimiento.execute();
                        ultimoTurno = procedimiento.getString(3);
                        fecha = procedimiento.getString(4);
                    }
                    cn.close();
                } catch (SQLException | NullPointerException e) {
                    System.out.println("error consultarTurno__: "+e.getMessage());
                }                
            }
        });
        return resultado;
    }
    
    public void ultimoTurno(int cola, int sede, int prioridad, String tipo){
        try {
            cn = conexion.Conectar();
            procedimiento = cn.prepareCall("{call "+BDINTRANET+".dbo.SP_ConsultaUltimoTurnoV2(?,?,?,?,?)}");
            procedimiento.setInt(1, cola);
            procedimiento.setInt(2, sede);
            procedimiento.setInt(3, prioridad);
            procedimiento.setString(4, tipo);
            procedimiento.registerOutParameter(5, java.sql.Types.VARCHAR);
            procedimiento.execute();
            ultimoTurno = procedimiento.getString(5);
            cn.close();
        } catch (SQLException e) {
            System.out.println("Error ultimo turno:__ "+e.getMessage());
        }
    }
    
}
