package digiturno.Util;

import java.awt.Image;
import java.awt.Toolkit;
import java.util.Calendar;
import java.util.GregorianCalendar;
import javax.swing.ImageIcon;
import javax.swing.JLabel;
import javax.swing.JOptionPane;

public class Utilidades {
    
    public Image cargarIcono(){
        Image icono;
        
        try {
            icono = Toolkit.getDefaultToolkit().getImage(getClass().getResource("/digiturno/Vista/Icos/clinic.png"));
        } catch (Exception e) {
            System.out.println("Error al cargar el icono");
            return null;
        }
        return icono;
    }
    
    public void CerrarApp(){
        System.exit(0);
    }
    
//    public void CerrarApp2(){
//        ImageIcon ConfirMsgIcon = null;
//        try {
//            ConfirMsgIcon = new ImageIcon(Toolkit.getDefaultToolkit().getImage(getClass().getResource("/digiturno/Vista/Icos/question.png")));
//        } catch (Exception e) {
//        }
//        int opcion = JOptionPane.showConfirmDialog(null, "Realmente desea cerrar la aplicación?.", "DIGITURNO",
//                JOptionPane.YES_NO_OPTION, JOptionPane.WARNING_MESSAGE,
//                ConfirMsgIcon);
//        
//        if (opcion == 0) {
//            System.exit(0);
//        }
//    }
    
    public String ObtenerFecha2(){
        String fecha,mes="",dia="";
        GregorianCalendar Date = new GregorianCalendar();
        int d = Date.get(Calendar.DAY_OF_MONTH);
        int m = Date.get(Calendar.MONTH);
        m = m+1;
        int a = Date.get(Calendar.YEAR);
        
        if (m<10) {
            mes = 0+""+m;
        }else{
            mes = String.valueOf(m);
        }
        if (d<10) {
            dia = 0+""+d;
        }else{
            dia = String.valueOf(d);
        }
        
        fecha=dia+"/"+mes+"/"+a; 
        
        return fecha;
    }
        public String ObtenerFecha(){
        String fecha,mes,dia,hor,min;
        GregorianCalendar Date = new GregorianCalendar();
        int d = Date.get(Calendar.DAY_OF_MONTH);
        int m = Date.get(Calendar.MONTH);
        m = m+1;
        int a = Date.get(Calendar.YEAR);
        hor = ( Date.get(Calendar.HOUR_OF_DAY) > 9 ) ? String.valueOf(Date.get(Calendar.HOUR_OF_DAY)) : 0+""+String.valueOf(Date.get(Calendar.HOUR_OF_DAY));
        min = (Date.get(Calendar.MINUTE) > 9 ) ? String.valueOf(Date.get(Calendar.MINUTE)) : 0+""+String.valueOf(Date.get(Calendar.MINUTE));
        
        if (m<10) {
            mes = 0+""+m;
        }else{
            mes = String.valueOf(m);
        }
        if (d<10) {
            dia = 0+""+d;
        }else{
            dia = String.valueOf(d);
        }
        
        fecha=dia+"/"+mes+"/"+a+" "+hor+":"+min; 
        
        return fecha;
    }
        
    public int prioridad(int opcion){
        JLabel discapacidad = new JLabel(new ImageIcon(getClass().getResource("/digiturno/Vista/Imgs/discapacidad.png")));
        JLabel gestacion = new JLabel(new ImageIcon(getClass().getResource("/digiturno/Vista/Imgs/gestacion.png")));
        String titulo = "DIGITUNRO - CLINICA ANTIOQUIA S.A.";
        JOptionPane panelPregunta = new JOptionPane();
        int botonPresionado;
        switch(opcion)
        {
            case 1:
                botonPresionado = JOptionPane.showConfirmDialog(null, gestacion, titulo, 0, JOptionPane.PLAIN_MESSAGE);
                return botonPresionado;
            case 2:
                return JOptionPane.showConfirmDialog(null, discapacidad, titulo, 0, JOptionPane.PLAIN_MESSAGE);
        }
        return 0;
    }   
}
